AI transcription
Theparamsobject is model-specific: pass the parameters defined by the schema of themodel_idyou choose. Call List AI tools & models to see the available models and the parameters each one accepts.
Transcribe audio or video
POST
/v1/ai/transcribe Enqueue a job to transcribe spoken words in an audio or video clip to text with word-level timestamps.
Request
curl -X POST "https://api.rendley.com/v1/ai/transcribe" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"project_id": "<project_id>"
}' const res = await fetch("https://api.rendley.com/v1/ai/transcribe", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"project_id": "<project_id>"
}),
});
const { data } = await res.json(); import requests
res = requests.post(
"https://api.rendley.com/v1/ai/transcribe",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"project_id": "<project_id>"
},
)
data = res.json()["data"] Request body
| Name | Type | Required | Description |
|---|---|---|---|
clip_id | string | Optional | |
file_url | string | Optional | |
model_id | string | Optional | |
params | object | Optional | |
project_id | string | Required |
Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |
402 | Payment Required |
Calculate transcription cost
POST
/v1/ai/transcribe/cost Calculate the credit cost of transcribing an audio or video clip.
Request
curl -X POST "https://api.rendley.com/v1/ai/transcribe/cost" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"project_id": "<project_id>"
}' const res = await fetch("https://api.rendley.com/v1/ai/transcribe/cost", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"project_id": "<project_id>"
}),
});
const { data } = await res.json(); import requests
res = requests.post(
"https://api.rendley.com/v1/ai/transcribe/cost",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"project_id": "<project_id>"
},
)
data = res.json()["data"] Request body
| Name | Type | Required | Description |
|---|---|---|---|
clip_id | string | Optional | |
file_url | string | Optional | |
model_id | string | Optional | |
params | object | Optional | |
project_id | string | Required |
Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |